03/11/17

利用Lisp做Tin三角网建模(源代码)

我参考的是这篇老外的帖子,原文不再翻译,有兴趣的可以百度自己查看 论坛帖子地址:https://www.theswamp.org/index.php?PHPSESSID=hgb2jmd2g21qrkmgqe2f0r0f95&topic=9042.0 源码下载地址:http://pdcode.com/code.htm

11/7/11

总结当今中国最愚蠢的那些事,看看有没有说出你的心声

前言:这篇文章是我拟定已久却迟迟未能落笔的一篇,看到太平盛世般不断涌现的乐观数字,以悲观的心态去探讨一些隐忧总是显得非常不合时宜。我曾经用了很长的时间整理了很多数据,虽然各个方面都有不少非常乐观和辉煌的成就,我却总是抱有很多悲观的看法,而隐忧在辉煌中日渐增多,最终形成本文。为辉煌叫好的人已太多,所以,在本文中只讲隐忧。   人人在砍国家、吃国家、拿国家,这个国家怎么会好呢?人人都贪污、腐败,这国家会好吗?外国有个加拿大!中国有个“大家拿”,再大的国家也会被你拿穷了。我走到哪里,绝对拒绝招待。我走到哪里吃自己用自己的,坐你的汽车给车钱,住你的旅馆给你旅馆钱,吃你的饭给饭钱,绝对不沾国家一毛钱。我就是要做个示范给你看:什么叫爱国!是我们把东西把钱把命给国家,这叫爱国!你总是把国家的东西往家拿,这叫什么爱国?有些人偷国家、拿国家,还拿得津津有味,拿得大言不惭,拿得毫不要脸,这怎么得了?   我们自然爱国!如果不爱国,天天发牢骚,天天想转行,天天想下海,那下一代还有什么希望?尤其是学英文的,总想好好学,将来以后到哪个公司为哪个老板、哪个董事长当翻译官,多丢脸!多没人格,多没气度!   

11/2/11

用ARX.NET将Dwg文件以块的方式插入CAD中(.net)

源程序:用ARX.NET将Dwg文件以块的方式插入CAD中   public class Testinsert   {     [CommandMethod(“testinsert”)]     static public void DoIt()     {         Document doc = Application.DocumentManager.MdiActiveDocument;         Editor ed = doc.Editor;         PromptResult res = ed.GetString(“Give me a file to insert”);         if (res.Status != PromptStatus.OK)           return;         string fname = res.StringResult;         if (!File.Exists(fname))           fname = HostApplicationServices.Current.FindFile(fname, doc.Database, FindFileHint.Default);         using (Database db = new Database(false, false))         {           //read drawing           db.ReadDwgFile(fname, FileShare.Read, true, null);           using (Transaction t = doc.TransactionManager.StartTransaction())           {             //insert it as a new block             ObjectId idBTR = doc.Database.Insert(“test”, db, false);             //create a ref to the block             BlockTable bt = (BlockTable)t.GetObject(doc.Database.BlockTableId, OpenMode.ForRead);             BlockTableRecord btr = (BlockTableRecord)t.GetObject(bt[BlockTableRecord.ModelSpace], OpenMode.ForWrite);             using (BlockReference bref = new BlockReference(Point3d.Origin, idBTR))             {                 btr.AppendEntity(bref);                 t.AddNewlyCreatedDBObject(bref, true);             }             t.Commit();           }         }     }   }  原创文章,转载请注明: